=== debian/changelog ===
ros-foxy-raspimouse (1.1.0-4focal) focal; urgency=high

  * Add authors to package.xml
  * トピックpublish周波数とフレームIDを変更するパラメータを追加 (#42 <https://github.com/rt-net/raspimouse2/issues/42>)
  * ノードの実行を簡単にするためlaunchファイルとconfigファイルを追加 #41 <https://github.com/rt-net/raspimouse2/issues/41>
  * Add initial_motor_power param (#39 <https://github.com/rt-net/raspimouse2/issues/39>)
  * パラメータの追加（#35 <https://github.com/rt-net/raspimouse2/issues/35>） (#38 <https://github.com/rt-net/raspimouse2/issues/38>)
  * パラメータの追加 （#34 <https://github.com/rt-net/raspimouse2/issues/34>） (#36 <https://github.com/rt-net/raspimouse2/issues/36>)
  * Contributors: Shota Aoki, Shuhei Kozasa

 -- RT Corporation <shop@rt-net.jp>  Wed, 27 Jul 2022 15:00:00 -0000

ros-foxy-raspimouse (1.0.2-4focal) focal; urgency=high

  * Update for foxy (#29 <https://github.com/rt-net/raspimouse2/issues/29>)
  * Contributors: Shota Aoki

 -- RT Corporation <shop@rt-net.jp>  Mon, 07 Dec 2020 15:00:00 -0000

ros-foxy-raspimouse (1.0.1-4focal) focal; urgency=high

  * Fix documents of release 1.0.0 (#23 <https://github.com/rt-net/raspimouse2/issues/23>)
  * Contributors: Shota Aoki

 -- RT Corporation <shop@rt-net.jp>  Tue, 09 Jun 2020 15:00:00 -0000

ros-foxy-raspimouse (1.0.0-4focal) focal; urgency=high

  * Update CMakeLists.txt for exporting include dir (#21 <https://github.com/rt-net/raspimouse2/issues/21>)
  * Fix package.xml (#20 <https://github.com/rt-net/raspimouse2/issues/20>)
  * Add on_shutdown callback (#17 <https://github.com/rt-net/raspimouse2/issues/17>)
  * Contributors: Shota Aoki

 -- RT Corporation <shop@rt-net.jp>  Sun, 07 Jun 2020 15:00:00 -0000

ros-foxy-raspimouse (0.2.0-4focal) focal; urgency=high

  * Release 0.2.0 (#18 <https://github.com/rt-net/raspimouse2/issues/18>)
  * Change pulse counter for calculating odometry accurately (#16 <https://github.com/rt-net/raspimouse2/issues/16>)
  * Add lint check (#14 <https://github.com/rt-net/raspimouse2/issues/14>)
  * Update tf timestamp on use_pulse_counters_ == true (#6 <https://github.com/rt-net/raspimouse2/issues/6>)
  * invert switch status (#11 <https://github.com/rt-net/raspimouse2/issues/11>)
  * change to base_footprint (#5 <https://github.com/rt-net/raspimouse2/issues/5>)
  * Fix odom (#4 <https://github.com/rt-net/raspimouse2/issues/4>)
  * Re-enable tf (#3 <https://github.com/rt-net/raspimouse2/issues/3>)
  * Add Dashing support (#2 <https://github.com/rt-net/raspimouse2/issues/2>)
  * Add Crystal support (#1 <https://github.com/rt-net/raspimouse2/issues/1>)
  * Add readme
  * Adding sensors
  * Contributors: Daisuke Sato, Geoffrey Biggs, Shota Aoki, Shota Hirama, Yutaka Kondo

 -- RT Corporation <shop@rt-net.jp>  Thu, 21 May 2020 15:00:00 -0000

ros-foxy-raspimouse (0.1.0-4focal) focal; urgency=high

  * Initial commit
  * Contributors: Geoffrey Biggs

 -- RT Corporation <shop@rt-net.jp>  Thu, 06 Sep 2018 15:00:00 -0000
