=== debian/control ===
Source: ros-foxy-raspimouse
Section: misc
Priority: optional
Maintainer: RT Corporation <shop@rt-net.jp>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-geometry-msgs, ros-foxy-lifecycle-msgs, ros-foxy-nav-msgs, ros-foxy-raspimouse-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-rclcpp-lifecycle, ros-foxy-std-msgs, ros-foxy-std-srvs, ros-foxy-tf2, ros-foxy-tf2-ros, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-raspimouse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-geometry-msgs, ros-foxy-lifecycle-msgs, ros-foxy-nav-msgs, ros-foxy-raspimouse-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-rclcpp-lifecycle, ros-foxy-std-msgs, ros-foxy-std-srvs, ros-foxy-tf2, ros-foxy-tf2-ros, ros-foxy-ros-workspace
Description: RaspiMouse ROS 2 node
